"std::bad_alloc" when styling a singleband pseudocolor on a raster

2015-07-14 05:15 AM - Etienne Trimaille

Status: Closed

Priority: High

Assignee:

Category: Rasters

Affected QGIS version:2.10.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21177

Description

When styling a raster using a Singleband Pseudocolor, I choose Continuous and click Classify.

Then I got "std::bad_alloc". It's impossible to get the custom color map.

Associated revisions

Revision 688ac161 - 2015-08-04 08:22 AM - Nyall Dawson

Fix bad alloc when styling raster with random color ramp (fix #13112)

Revision a8ad5c1f - 2015-08-04 01:22 PM - Nyall Dawson

Fix bad alloc when styling raster with random color ramp (fix #13112)

(cherry-picked from 688ac1610e5b47fa3116875c463ba9fd2a026200)

Revision 55022226 - 2015-08-04 01:27 PM - Nyall Dawson

Fix bad alloc when styling raster with random color ramp (fix #13112)

(cherry-picked from 688ac1610e5b47fa3116875c463ba9fd2a026200)

History

#1 - 2015-07-31 08:05 AM - Giovanni Manghi

- Target version deleted (Version 2.10)

- Priority changed from Severe/Regression to High

- Status changed from Open to Feedback

Hi, confirmed but not a regression, at least not from a recent qgis version. And it happens only when trying to use "random colors", so anyway while

annoying does not seems a huge issue (does a random color palette have any meaning for styling a raster?).

#2 - 2015-08-03 11:24 PM - Nyall Dawson

- Status changed from Feedback to Closed
Fixed in changeset commit:"688ac1610e5b47fa3116875c463ba9fd2a026200".
